> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/devolutions-cloud-powershell/disable-force-sso-on-all-users-in-devolutions-cloud-using-powershell.md).

# Disable Force SSO on all users in Devolutions Cloud using PowerShell

Disable Force SSO login for all users in Devolutions Cloud using a PowerShell script and an application identity with Set-DCSystemSettings.

Devolutions Cloud administrators might want to disable the option to Force SSO on all users. This can be done using an application identity and a simple PowerShell script.

1. In Devolutions Cloud, [create an application identity](https://docs.devolutions.net/cloud/web-interface/administration/management/application-identities/manage-application-identities).
2. [Assign the ***Manage system configuration*** permission](https://docs.devolutions.net/cloud/web-interface/administration/configuration-and-security/system-permissions) to the newly created application identity.
3. Use the following PowerShell script to disable ***Force SSO on all users*** option in Devolutions Cloud:

```
$url = 'YOUR_HUB_URL'
$appSecret = 'INSERT_APP_SECRET';
$appKey = 'INSERT_APP_KEY';
Connect-DCAccount -Url $url -ApplicationKey $appKey -ApplicationSecret $appSecret

$psSystemSettings = Get-DCSystemSettings
#Enable Devolutions user login method
$psSystemSettings.AllowDevolutionsAccountLogin = $true

#Optional - Disable SSO option
$psSystemSettings.AllowSSOLogin = $false

Set-DCSystemSettings -PSSystemSettings $psSystemSettings

Write-Host "Authentication method updated"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/devolutions-cloud-powershell/disable-force-sso-on-all-users-in-devolutions-cloud-using-powershell.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
